=== make/mingw32/Makefile ===
# Project: libmatroska
# Makefile created by Dev-C++ 4.9.7.0

ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = ../../src/KaxAttached.o ../../src/KaxAttachments.o ../../src/KaxBlock.o ../../src/KaxBlockData.o ../../src/KaxChapters.o ../../src/KaxCluster.o ../../src/KaxClusterData.o ../../src/KaxContentEncoding.o ../../src/KaxContexts.o ../../src/KaxCues.o ../../src/KaxCuesData.o ../../src/KaxInfo.o ../../src/KaxInfoData.o ../../src/KaxSeekHead.o ../../src/KaxSegment.o ../../src/KaxTag.o ../../src/KaxTags.o ../../src/KaxTagMulti.o ../../src/KaxTrackAudio.o ../../src/KaxTrackEntryData.o ../../src/KaxTracks.o ../../src/KaxTrackVideo.o ../../src/KaxVersion.o ../../src/FileKax.o $(RES)
LIBS = 
INCS = -I"../../../libebml" -I../..
BIN  = libmatroska.a
CXXFLAGS = $(DEBUGFLAGS) $(INCS) 
CFLAGS = $(DEBUGFLAGS) $(INCS) 

.PHONY: all all-before all-after clean clean-custom

all: lib

lib: all-before libmatroska.a all-after


clean: clean-custom
	rm -f $(OBJ) $(BIN)

$(BIN): $(OBJ)
	ar r $(BIN) $(OBJ)
	ranlib $(BIN)

../../src/KaxAttached.o: ../../src/KaxAttached.cpp
	$(CPP) -c ../../src/KaxAttached.cpp -o ../../src/KaxAttached.o $(CXXFLAGS)

../../src/KaxAttachments.o: ../../src/KaxAttachments.cpp
	$(CPP) -c ../../src/KaxAttachments.cpp -o ../../src/KaxAttachments.o $(CXXFLAGS)

../../src/KaxBlock.o: ../../src/KaxBlock.cpp
	$(CPP) -c ../../src/KaxBlock.cpp -o ../../src/KaxBlock.o $(CXXFLAGS)

../../src/KaxBlockData.o: ../../src/KaxBlockData.cpp
	$(CPP) -c ../../src/KaxBlockData.cpp -o ../../src/KaxBlockData.o $(CXXFLAGS)

../../src/KaxChapters.o: ../../src/KaxChapters.cpp
	$(CPP) -c ../../src/KaxChapters.cpp -o ../../src/KaxChapters.o $(CXXFLAGS)

../../src/KaxCluster.o: ../../src/KaxCluster.cpp
	$(CPP) -c ../../src/KaxCluster.cpp -o ../../src/KaxCluster.o $(CXXFLAGS)

../../src/KaxClusterData.o: ../../src/KaxClusterData.cpp
	$(CPP) -c ../../src/KaxClusterData.cpp -o ../../src/KaxClusterData.o $(CXXFLAGS)

../../src/KaxContentEncoding.o: ../../src/KaxContentEncoding.cpp
	$(CPP) -c ../../src/KaxContentEncoding.cpp -o ../../src/KaxContentEncoding.o $(CXXFLAGS)

../../src/KaxContexts.o: ../../src/KaxContexts.cpp
	$(CPP) -c ../../src/KaxContexts.cpp -o ../../src/KaxContexts.o $(CXXFLAGS)

../../src/KaxCues.o: ../../src/KaxCues.cpp
	$(CPP) -c ../../src/KaxCues.cpp -o ../../src/KaxCues.o $(CXXFLAGS)

../../src/KaxCuesData.o: ../../src/KaxCuesData.cpp
	$(CPP) -c ../../src/KaxCuesData.cpp -o ../../src/KaxCuesData.o $(CXXFLAGS)

../../src/KaxInfo.o: ../../src/KaxInfo.cpp
	$(CPP) -c ../../src/KaxInfo.cpp -o ../../src/KaxInfo.o $(CXXFLAGS)

../../src/KaxInfoData.o: ../../src/KaxInfoData.cpp
	$(CPP) -c ../../src/KaxInfoData.cpp -o ../../src/KaxInfoData.o $(CXXFLAGS)

../../src/KaxSeekHead.o: ../../src/KaxSeekHead.cpp
	$(CPP) -c ../../src/KaxSeekHead.cpp -o ../../src/KaxSeekHead.o $(CXXFLAGS)

../../src/KaxSegment.o: ../../src/KaxSegment.cpp
	$(CPP) -c ../../src/KaxSegment.cpp -o ../../src/KaxSegment.o $(CXXFLAGS)

../../src/KaxTag.o: ../../src/KaxTag.cpp
	$(CPP) -c ../../src/KaxTag.cpp -o ../../src/KaxTag.o $(CXXFLAGS)

../../src/KaxTags.o: ../../src/KaxTags.cpp
	$(CPP) -c ../../src/KaxTags.cpp -o ../../src/KaxTags.o $(CXXFLAGS)

../../src/KaxTagMulti.o: ../../src/KaxTagMulti.cpp
	$(CPP) -c ../../src/KaxTagMulti.cpp -o ../../src/KaxTagMulti.o $(CXXFLAGS)

../../src/KaxTrackAudio.o: ../../src/KaxTrackAudio.cpp
	$(CPP) -c ../../src/KaxTrackAudio.cpp -o ../../src/KaxTrackAudio.o $(CXXFLAGS)

../../src/KaxTrackEntryData.o: ../../src/KaxTrackEntryData.cpp
	$(CPP) -c ../../src/KaxTrackEntryData.cpp -o ../../src/KaxTrackEntryData.o $(CXXFLAGS)

../../src/KaxTracks.o: ../../src/KaxTracks.cpp
	$(CPP) -c ../../src/KaxTracks.cpp -o ../../src/KaxTracks.o $(CXXFLAGS)

../../src/KaxTrackVideo.o: ../../src/KaxTrackVideo.cpp
	$(CPP) -c ../../src/KaxTrackVideo.cpp -o ../../src/KaxTrackVideo.o $(CXXFLAGS)

../../src/KaxVersion.o: ../../src/KaxVersion.cpp
	$(CPP) -c ../../src/KaxVersion.cpp -o ../../src/KaxVersion.o $(CXXFLAGS)

../../src/FileKax.o: ../../src/FileKax.cpp
	$(CPP) -c ../../src/FileKax.cpp -o ../../src/FileKax.o $(CXXFLAGS)
