## libmatroska 0.7.3

=== make/linux/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # libmatroska core Makefile (used in cygwin)
-# $Id: Makefile,v 1.4 2003/10/15 20:34:24 mosu Exp $
+# $Id: Makefile 651 2004-07-19 16:43:44Z mosu $
 # Author: Steve Lhomme <robux4 @ users.sf.net>
 # Author: Moritz Bunkus <moritz @ bunkus.org>
 
@@ -10,13 +10,18 @@
 #
 
 # Paths
+# BeOS wants the libs and headers in /boot/home/config
+ifeq (BeOS,$(shell uname -s))
+prefix=/boot/home/config
+else
 prefix=/usr/local
+endif
 libdir=$(prefix)/lib
 includedir=$(prefix)/include/matroska
 
 # Programs
 CXX=g++
-LD=g++
+LD=$(CXX)
 DEP=$(CXX) -MM
 DEPEND = makedepend
 AR = ar rcvu
@@ -36,8 +41,6 @@
 ifeq (yes,$(DEBUG))
 DEBUGFLAGS=-g -DDEBUG
 endif
-CXXFLAGS=$(DEBUGFLAGS) -Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -D_GNU_SOURCE
-LDFLAGS=-L. -L$(LIBEBML_LIB_DIR)
 
 SRC_DIR=$(CWD)/../../src/
 INCLUDE_DIR=$(CWD)/../../matroska
@@ -64,21 +67,23 @@
 # object files; replace .cxx extension with .o
 objects:=$(patsubst %$(EXTENSION),%.o,$(sources))
 
+WARNINGFLAGS=-Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -D_GNU_SOURCE \
+		-Wshadow
+COMPILEFLAGS=$(DEBUGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(WARNINGFLAGS) $(INCLUDE)
+LINKFLAGS=-L. -L$(LIBEBML_LIB_DIR) $(LDFLAGS)
 DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}
 
-all: $(LIBRARY) test
+all: $(LIBRARY)
 
 lib library: $(LIBRARY)
 
 # Build rules
 %.o: %$(EXTENSION)
-	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<
+	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
 $(LIBRARY): $(objects)
 	$(AR) $@ $(objects)
 	$(RANLIB) $@
-#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
-#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}
 
 clean:	cleantest
 	rm -f $(objects)
@@ -96,22 +101,22 @@
 test: test6 test8 test9
 
 test6:	test6.o $(LIBRARY)
-	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)
+	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)
 
 test6.o: $(MUX_SRC_DIR)test6.cpp
-	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<
+	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
 test8:	test8.o $(LIBRARY)
-	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)
+	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)
 
 test8.o: $(MUX_SRC_DIR)test8.cpp
-	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<
+	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
 test9:	test9.o $(LIBRARY)
-	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)
+	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)
 
 test9.o: $(TAG_SRC_DIR)test9.cpp
-	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<
+	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
 install: $(LIBRARY)
 	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
