=== make/linux/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # libmatroska core Makefile (used in cygwin)
-# $Id: Makefile 651 2004-07-19 16:43:44Z mosu $
+# $Id: Makefile 1069 2005-02-06 18:12:08Z mosu $
 # Author: Steve Lhomme <robux4 @ users.sf.net>
 # Author: Moritz Bunkus <moritz @ bunkus.org>
 
@@ -22,14 +22,16 @@
 # Programs
 CXX=g++
 LD=$(CXX)
-DEP=$(CXX) -MM
-DEPEND = makedepend
 AR = ar rcvu
 RANLIB = ranlib
 INSTALL = install
 INSTALL_OPTS = -m 644
 INSTALL_OPTS_LIB = -m 644
 INSTALL_DIR_OPTS = -m 755
+
+ifneq (,$(shell $(CXX) -v 2>&1 | tail -n 1 | grep -i mingw))
+$(error Please use the Makefile in ../mingw32)
+endif
 
 CWD=$(shell pwd)
 
@@ -61,9 +63,6 @@
 # header files; replace .cxx extension with .h
 headers:=$(patsubst %$(EXTENSION),%.h,$(sources))
 
-# files holding dependency information; replace .cxx extension with .dep
-dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))
-
 # object files; replace .cxx extension with .o
 objects:=$(patsubst %$(EXTENSION),%.o,$(sources))
 
@@ -71,7 +70,7 @@
 		-Wshadow
 COMPILEFLAGS=$(DEBUGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(WARNINGFLAGS) $(INCLUDE)
 LINKFLAGS=-L. -L$(LIBEBML_LIB_DIR) $(LDFLAGS)
-DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}
+DEPENDFLAGS  = $(CXXFLAGS) $(INCLUDE)
 
 all: $(LIBRARY)
 
@@ -87,18 +86,26 @@
 
 clean:	cleantest
 	rm -f $(objects)
-	rm -f $(dependencies)
 	rm -f $(LIBRARY)
 	rm -f CORE
 
 cleantest:
 	rm -f test6 test8 test9 test6.o test8.o test9.o
 
-# what are the source dependencies
-depend: $(sources)
-	$(DEPEND) $(DEPENDFLAGS) $(sources)
+distclean dist-clean: clean
+	rm -f .depend
 
-test: test6 test8 test9
+depend:
+	@echo Calculating dependecies:
+	@rm -f .depend
+	@touch .depend
+	@for i in $(sources); do \
+		o="`echo $$i | sed -e 's/\.c$$/.o/' -e 's/\.cpp$$/.o/'`" ; \
+		echo '  ' $$i: $$o ; \
+		$(CXX) $(DEPENDFLAGS) -MM -MT $$o $$i >> .depend ; \
+	done
+
+test: test6 test9
 
 test6:	test6.o $(LIBRARY)
 	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)
@@ -130,4 +137,8 @@
 		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/c ; \
 	done
 
+ifneq ($(wildcard .depend),)
+include .depend
+endif
+
 # DO NOT DELETE
