## libmatroska 0.8.1

=== make/linux/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # libmatroska core Makefile (used in cygwin)
-# $Id: Makefile 1146 2005-04-19 07:00:00Z mosu $
+# $Id: Makefile 1254 2006-06-02 14:32:52Z mosu $
 # Author: Steve Lhomme <robux4 @ users.sf.net>
 # Author: Moritz Bunkus <moritz @ bunkus.org>
 
@@ -103,6 +103,7 @@
 
 $(LIBRARY_SO): $(objects_so)
 	$(CXX) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER) $(objects_so) -lebml
+	rm -f $(LIBRARY_SO)
 	ln -s $(LIBRARY_SO_VER) $(LIBRARY_SO)
 
 clean:	cleantest
@@ -171,7 +172,7 @@
 install_sharedlib: $(LIBRARY_SO)
 	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
 	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(libdir)
-	ln -s $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
+	ln -fs $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
 
 ifneq ($(wildcard .depend),)
 include .depend
