=== make/mingw32/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Normally libmatroska is built as a static library.
 # Uncomment this if you want a shared library instead.
 # ATTENTION: Your app has to define MATROSKA_DLL !
-#SHARED = yes
+SHARED = yes
 
 # Compile with debug information?
 #DEBUG = yes
@@ -54,7 +54,11 @@
 tests: $(TESTS)
 
 clean:
-	rm -f $(OBJ) libmatroska.* *.exe ../../test/mux/*.o ../../test/tags/*.o
+	rm -f $(OBJ) libmatroska.a libmatroska.dll.a libmatroska.dll *.exe \
+		../../test/mux/*.o ../../test/tags/*.o
+
+distclean dist-clean: clean
+	rm -f .depend
 
 libmatroska.a: $(OBJ)
 	ar r $@ $(OBJ)
@@ -85,7 +89,14 @@
 	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml
 
 depend:
-	$(CXX) $(CXXFLAGS) -MM $(SRC) > .depend
+	@echo Calculating dependecies:
+	@rm -f .depend
+	@touch .depend
+	@for i in $(SRC); do \
+		o="`echo $$i | sed -e 's/\.c$$/.o/' -e 's/\.cpp$$/.o/'`" ; \
+		echo '  ' $$i: $$o ; \
+		$(CXX) $(CXXFLAGS) -MM -MT $$o $$i >> .depend ; \
+	done
 
 #
 # include dependency files if they exist
