## libmatroska 1.0.0+repack

=== make/linux/Makefile ===
--- 
+++ 
@@ -20,18 +20,15 @@
 includedir=$(prefix)/include/matroska
 
 # Programs
-CXX=g++
-LD=$(CXX)
-AR = ar rcvu
-RANLIB = ranlib
+CROSS =
+CXX = $(CROSS)g++
+LD = $(CXX)
+AR = $(CROSS)ar
+RANLIB = $(CROSS)ranlib
 INSTALL = install
 INSTALL_OPTS = -m 644
 INSTALL_OPTS_LIB = -m 644
 INSTALL_DIR_OPTS = -m 755
-
-ifneq (,$(shell $(CXX) -v 2>&1 | tail -n 1 | grep -i mingw))
-$(error Please use the Makefile in ../mingw32)
-endif
 
 CWD=$(shell pwd)
 
@@ -57,7 +54,7 @@
 # Names
 LIBRARY=libmatroska.a
 LIBRARY_SO=libmatroska.so
-LIBRARY_SO_VER=libmatroska.so.0
+LIBRARY_SO_VER=libmatroska.so.2
 
 # source-files
 sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))
@@ -98,7 +95,7 @@
 	$(CXX) -c $(COMPILEFLAGS) -fPIC -o $@ $<
 
 $(LIBRARY): $(objects)
-	$(AR) $@ $(objects)
+	$(AR) rcvu $@ $(objects)
 	$(RANLIB) $@
 
 $(LIBRARY_SO): $(objects_so)
