=== debian/changelog ===
libmatroska (1.1.0+dfsg-0ubuntu2) natty; urgency=low

  * debian/control:
   - Build-depends on libebml-dev (>= 1.2.0) to get the lastest version
     (LP: #722383)

 -- Julien Lavergne <gilir@ubuntu.com>  Tue, 22 Feb 2011 20:37:10 +0100

libmatroska (1.1.0+dfsg-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #722382)
  * debian/source/format & debian/rules:
   - Convert to source format 3.0.
  * debian/control:
   - Remove quilt build-depends.
  * Bump SONAME to 3.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 21 Feb 2011 01:33:10 +0100

libmatroska (1.0.0+repack-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Refreshed 010_propagate_cflags.diff.
  * debian/control:
    - Added misc:Depends.
    - Renamed libmatroska0 to libmatroska2 to match soname.
    - Bumped Standards-Version to 3.8.4.
  * debian/copyright:
    - Updated FSF address.
  * debian/rules:
    - Do not ignore make error.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 06 Jun 2010 04:40:32 +0700

libmatroska (0.8.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/copyright: update with proper up to date informations
    (Closes: 465251).
  * debian/control: bump Standards-Version to 3.7.3.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 16 Mar 2008 14:07:52 +0100

libmatroska (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * We now distribute shared libraries.

  * debian/rules:
    + No longer build _pic.a library.
  * debian/control:
    + Depend and build-depend on libebml-dev (>= 0.7.7-3).
  * debian/compat:
    + Set compat to 5.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 15 Mar 2007 19:34:20 +0100

libmatroska (0.8.0-3) unstable; urgency=low

  * debian/control:
    + Set pkg-multimedia-maintainers as main maintainer.
    + Added Vcs fields.
    + Set policy to 3.7.2.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 15 Mar 2007 16:57:59 +0100

libmatroska (0.8.0-2) unstable; urgency=low

  * Switched patch system to quilt.
  * debian/control:
    + Build-depend on quilt.
    + Build-depend on debhelper (>= 4.0).
    + Added Section: devel for the source.
  * debian/compat:
    + Set level to 4.

  * 010_propagate_cflags.diff: (new patch from old diff.gz) propagate custom
    CXXFLAGS to the build process.

  * 020_missing_timestamp.diff: (new patch from old diff.gz) fix for
    compilers that do not have __TIMESTAMP__.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Mar 2006 17:14:29 +0200

libmatroska (0.8.0-1) unstable; urgency=low

  * New upstream version.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 30 Oct 2005 15:57:42 +0100

libmatroska (0.7.7-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    + Set policy to 3.6.2.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 15 Jul 2005 13:17:57 +0200

libmatroska (0.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Mar 2005 18:28:04 +0100

libmatroska (0.7.4-1) unstable; urgency=low

  * New upstream release (Closes: #288717, #290688).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Mar 2005 17:33:06 +0100

libmatroska (0.7.3-1) unstable; urgency=low

  * New upstream release (Closes: #271898).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 21 Sep 2004 13:42:41 +0200

libmatroska (0.7.0-2) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.
    + Build-depend on libebml (>= 0.7.0-2).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 27 Jul 2004 13:12:25 +0200

libmatroska (0.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 26 Apr 2004 22:29:48 +0200

libmatroska (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  6 Jan 2004 21:21:51 +0100

libmatroska (0.6.1-2) unstable; urgency=low

  * Added a __TIMESTAMP__ define to KaxConfig.h to avoid compilation issues.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  3 Dec 2003 11:44:36 +0100

libmatroska (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  4 Nov 2003 11:27:00 +0100

libmatroska (0.5.2-2) unstable; urgency=low

  * Fixed upstream's braindamaged use of DEB_BUILD_OPTIONS (Closes: #215774).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 15 Oct 2003 09:00:42 +0200

libmatroska (0.5.2-1) unstable; urgency=low

  * New upstream release (Closes: #214767).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 13 Oct 2003 10:40:30 +0200

libmatroska (0.5.0-4) unstable; urgency=low

  * Used "cvs2cl --utc --no-wrap -w --stdout -g -z9" to generate an upstream
    changelog (Closes: #208597).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  5 Sep 2003 09:26:58 +0200

libmatroska (0.5.0-3) unstable; urgency=low

  * make/linux/Makefile:
    + Fixed $(CUSTOMFLAGS) so that the PIC lib gets built.
  * debian/control:
    + Set policy to 3.6.1.0.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  2 Sep 2003 21:12:08 +0200

libmatroska (0.5.0-2) unstable; urgency=low

  * debian/control:
    + Downgraded debhelper build-dependency to allow easier backporting.
    + Enhanced the long description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 14 Aug 2003 11:06:11 +0200

libmatroska (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.0. No changes required.
    + Set debhelper build-dependency to (>= 4.0) because of debian/compat.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  7 Aug 2003 14:54:50 +0200

libmatroska (0.4.4+cvs.20030622-1) unstable; urgency=low

  * First Debian release (Closes: #198445).
  * debian/control:
    + Set policy to 3.5.10.
    + Removed leading "an" from upstream's description.
  * debian/rules:

