=== debian/control ===
Source: libmatroska
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 5.0), libebml-dev (>= 1.2.0)
Standards-Version: 3.8.4
XS-Vcs-Svn: svn://svn.debian.org/pkg-multimedia/unstable/libmatroska
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-multimedia/unstable/libmatroska/

Package: libmatroska3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extensible open standard audio/video container format
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensability
 are gained without breaking file support in old parsers.
 .
 This package contains the shared library needed to run applications that
 use libmatroska.

Package: libmatroska-dev
Section: libdevel
Architecture: any
Depends: libebml-dev (>= 1.0.0), libmatroska3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: extensible open standard audio/video container format - development files
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensability
 are gained without breaking file support in old parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libmatroska.
