## libmatroska 1.2.0

=== make/linux/Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 # Names
 LIBRARY=libmatroska.a
 LIBRARY_SO=libmatroska.so
-LIBRARY_SO_VER=libmatroska.so.3
+LIBRARY_SO_VER=libmatroska.so.4
 
 # source-files
 sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))
