=== debian/changelog ===
libmatroska (1.2.0-1) unstable; urgency=low

  * Team upload.

  [ Fabian Greffrath ]
  * Remove myself from Uploaders.

  [ Alessio Treglia ]
  * New upstream release. (Closes: #631804)
  * SONAME bump: libmatroska3 -> libmatroska4.
  * Correct maintainer's name.
  * Remove useless shlibs:Depends macrom from -DEV's Depends field.
  * Remove useless debian/dirs file.
  * Remove useless debian/libmatroska-dev.{dirs,files}.
  * Remove useless debian/docs file.
  * Bump build-dep on libebml >= 1.2.1.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Jun 2011 15:20:29 +0200

libmatroska (1.1.0-2) unstable; urgency=low

  * Team upload.
  * upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Mar 2011 18:03:18 +0100

libmatroska (1.1.0-1) experimental; urgency=low

  * New upstream version
  * debian/control,debian/libmatroska3.install:
    + bump library soname to libmatroska3
  * debian/control:
    + bump dependency on libebml >= 1.2.0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 17 Feb 2011 22:36:44 +0100

libmatroska (1.0.0-1) experimental; urgency=low

  * Imported Upstream version 1.0.0 (Closes: #591287).
  * Add myself to uploaders.
  * Add debian/watch file.
  * Bump SONAME to libmatroska2.
  * Remove unnecessary files from debian/ directory.
  * Bump libebml-dev requirements to (>= 1.0.0).
  * Convert Debian packaging to dh7.
  * Wrap lines in debian/control and add ${misc:Depends}.
  * Update Vcs-* fields.
  * Add Homepage field.
  * Clarify license of the Debian packaging in debian/copyright.
  * Fix duplicate-short-description.
  * Fix old-fsf-address-in-copyright-file.
  * Fix spelling-error-in-copyright.
  * Omit building test for the time being. They fail if compiled without
    -finput-charset=ISO8859-15 and have not been built before anyway.
  * Drop all patches, not needed anymore.
  * Convert to Source Format 3.0 (quilt).
  * Bump Standards-Version to 3.9.1.
  * Add debian/gbp.conf file.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 02 Aug 2010 11:43:56 +0200
