=== debian/control ===
Source: libmatroska
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Rico Tzschichholz <ricotz@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 libebml-dev (>= 1.2.1)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/libmatroska.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libmatroska.git;a=summary
Homepage: http://www.matroska.org/

Package: libmatroska4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: extensible open standard audio/video container format (shared library)
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensability
 are gained without breaking file support in old parsers.
 .
 This package contains the shared library needed to run applications that
 use libmatroska.

Package: libmatroska-dev
Section: libdevel
Architecture: any
Depends: libmatroska4 (= ${binary:Version}),
 libebml-dev (>= 1.2.0),
 ${misc:Depends}
Description: extensible open standard audio/video container format (development files)
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensability
 are gained without breaking file support in old parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libmatroska.
