=== debian/changelog ===
libmatroska (1.3.0-2+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2015-8792: Fix invalid memory access issue.
    (patch taken from the Squeeze LTS version)
 
 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 21 Mar 2016 22:03:02 +0100

libmatroska (1.3.0-2) unstable; urgency=low

  * debian/control: uploader's email address changed
  * debian/: Multi-Arch support added

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 14 Feb 2012 15:00:29 +0100

libmatroska (1.3.0-1) unstable; urgency=low

  * New upstream release

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Wed, 05 Oct 2011 13:53:52 +0200
