=== debian/control ===
--- 
+++ 
@@ -2,19 +2,25 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
- Rico Tzschichholz <ricotz@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
- libebml-dev (>= 1.2.1)
+Uploaders:
+ Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
+ Rico Tzschichholz <ricotz@ubuntu.com>,
+ Matteo F. Vescovi <mfv.debian@gmail.com>
+Build-Depends:
+ debhelper (>= 9),
+ libebml-dev (>= 1.2.0)
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/pkg-multimedia/libmatroska.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libmatroska.git;a=summary
+Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libmatroska.git
 Homepage: http://www.matroska.org/
 
-Package: libmatroska4
+Package: libmatroska5
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends},
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
  ${misc:Depends}
 Description: extensible open standard audio/video container format (shared library)
  Matroska is aiming to become the standard of Multimedia
@@ -29,7 +35,9 @@
 Package: libmatroska-dev
 Section: libdevel
 Architecture: any
-Depends: libmatroska4 (= ${binary:Version}),
+Multi-Arch: same
+Depends:
+ libmatroska5 (= ${binary:Version}),
  libebml-dev (>= 1.2.0),
  ${misc:Depends}
 Description: extensible open standard audio/video container format (development files)
