=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --sourcedirectory=make/linux

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr \
		libdir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	dh_auto_test --no-act
