## libmatroska 1.4.1

=== debian/changelog ===
libmatroska (1.4.1-2+deb8u1build0.14.04.1) trusty-security; urgency=medium

  * fake sync from Debian

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 29 Mar 2016 09:39:24 -0500

libmatroska (1.4.1-2+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2015-8792: Fix invalid memory access issue.
    (patch taken from the squeeze version)
 
 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 22 Mar 2016 18:03:02 +0100

libmatroska (1.4.1-2) unstable; urgency=low

  * Upload to unstable (Closes: #720181)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 08 Nov 2013 12:09:16 +0100

libmatroska (1.4.1-1) experimental; urgency=low

  * New upstream release
    - debian/rules: build install path updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 23 Sep 2013 15:08:01 +0200

libmatroska (1.4.0-1) experimental; urgency=low

  * New upstream release
    - debian/: SONAME bump libmatroska5 => libmatroska6
    - debian/control: libebml-dev bump 1.2.0 => 1.3.0
  * debian/control: Standards-Version bumped to 3.9.4
  * debian/control: Vcs-* URLs updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Sat, 29 Jun 2013 15:06:42 +0200
