=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  Matteo F. Vescovi <mfv.debian@gmail.com>
 Build-Depends:
  debhelper (>= 9),
- libebml-dev (>= 1.2.0)
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/pkg-multimedia/libmatroska.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libmatroska.git
+ libebml-dev (>= 1.3.0)
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libmatroska.git
+Vcs-Browser: http://anonscm.debian.org/?p=pkg-multimedia/libmatroska.git
 Homepage: http://www.matroska.org/
 
-Package: libmatroska5
+Package: libmatroska6
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -26,7 +26,7 @@
  Matroska is aiming to become the standard of Multimedia
  Container Formats one day. It is based on EBML (Extensible Binary
  Meta Language), a kind of binary version of XML. This way the
- significant advantages in terms of future format extensability
+ significant advantages in terms of future format extensibility
  are gained without breaking file support in old parsers.
  .
  This package contains the shared library needed to run applications that
@@ -37,14 +37,14 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libmatroska5 (= ${binary:Version}),
- libebml-dev (>= 1.2.0),
+ libmatroska6 (= ${binary:Version}),
+ libebml-dev (>= 1.3.0),
  ${misc:Depends}
 Description: extensible open standard audio/video container format (development files)
  Matroska is aiming to become the standard of Multimedia
  Container Formats one day. It is based on EBML (Extensible Binary
  Meta Language), a kind of binary version of XML. This way the
- significant advantages in terms of future format extensability
+ significant advantages in terms of future format extensibility
  are gained without breaking file support in old parsers.
  .
  This package contains the header files and static libraries needed to
