## libmatroska 1.4.2

=== debian/changelog ===
libmatroska (1.4.2-1) experimental; urgency=medium

  * New upstream release
    - debian/control: libebml deps bump 1.3.0 => 1.3.1
  * debian/copyright: DEP-5 compliance added
  * debian/rules: source directory parameter dropped
  * debian/rules: dh_auto_install stanza dropped
  * debian/control: pkg-config b-dep added
  * debian/control: S-V bump 3.9.4 => 3.9.6 (no changes needed)
  * debian/control: Uploader e-mail address updated

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 07 Jan 2015 18:09:20 +0100
