=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
- Matteo F. Vescovi <mfv.debian@gmail.com>
+ Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  debhelper (>= 9),
- libebml-dev (>= 1.3.0)
-Standards-Version: 3.9.4
+ libebml-dev (>= 1.3.1),
+ pkg-config
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libmatroska.git
 Vcs-Browser: http://anonscm.debian.org/?p=pkg-multimedia/libmatroska.git
 Homepage: http://www.matroska.org/
@@ -38,7 +39,7 @@
 Multi-Arch: same
 Depends:
  libmatroska6 (= ${binary:Version}),
- libebml-dev (>= 1.3.0),
+ libebml-dev (>= 1.3.1),
  ${misc:Depends}
 Description: extensible open standard audio/video container format (development files)
  Matroska is aiming to become the standard of Multimedia
